Bug 1567198 - gunicorn's executables' names do not follow the python packaging guidelines
Summary: gunicorn's executables' names do not follow the python packaging guidelines
Keywords:
Status: CLOSED ERRATA
Alias: None
Product: Fedora
Classification: Fedora
Component: python-gunicorn
Version: rawhide
Hardware: All
OS: Linux
unspecified
medium
Target Milestone: ---
Assignee: Dan Callaghan
QA Contact: Fedora Extras Quality Assurance
URL:
Whiteboard:
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2018-04-13 14:31 UTC by Randy Barlow
Modified: 2018-05-11 01:23 UTC (History)
1 user (show)

Fixed In Version: python-gunicorn-19.7.1-4.fc27 python-gunicorn-19.7.1-4.fc28
Doc Type: If docs needed, set a value
Doc Text:
Clone Of:
Environment:
Last Closed: 2018-04-27 01:17:34 UTC
Type: Bug


Attachments (Terms of Use)

Description Randy Barlow 2018-04-13 14:31:34 UTC
Per the Python packaging guidelines[0], gunicorn should provide different files in /usr/bin/ than it currently does.


What it does currently:

python2-gunicorn:

    /usr/bin/gunicorn

python3-gunicorn:

    /usr/bin/python3-gunicorn


What it should look like:

python2-gunicorn:

    /usr/bin/gunicorn
    /usr/bin/gunicorn-2
    /usr/bin/gunicorn-2.7

python3-gunicorn

    /usr/bin/gunicorn-3
    /usr/bin/gunicorn-3.6  (or current Python version for the Fedora release)


[0] https://fedoraproject.org/wiki/Packaging:Python#Naming

Comment 1 Dan Callaghan 2018-04-16 02:50:54 UTC
Oooh. Somehow I missed that part of the guidelines. Are they new?

Anyway, I will introduce the new names in F26-F28, and drop the bad name (/usr/bin/python3-gunicorn) in rawhide for F29+.

Comment 2 Fedora Update System 2018-04-16 03:46:06 UTC
python-gunicorn-19.7.1-4.fc28 has been submitted as an update to Fedora 28. https://bodhi.fedoraproject.org/updates/FEDORA-2018-bac27a9034

Comment 3 Fedora Update System 2018-04-16 03:46:14 UTC
python-gunicorn-19.7.1-4.fc27 has been submitted as an update to Fedora 27. https://bodhi.fedoraproject.org/updates/FEDORA-2018-ec7cb4d5eb

Comment 4 Randy Barlow 2018-04-16 18:46:16 UTC
(In reply to Dan Callaghan from comment #1)
> Oooh. Somehow I missed that part of the guidelines. Are they new?

I'm not sure, but a lot of our packages don't comply so it's possible they changed at some point.

> Anyway, I will introduce the new names in F26-F28, and drop the bad name
> (/usr/bin/python3-gunicorn) in rawhide for F29+.

Thanks, that sounds great!

Comment 5 Fedora Update System 2018-04-17 03:03:12 UTC
python-gunicorn-19.7.1-4.fc28 has been pushed to the Fedora 28 testing repository. If problems still persist, please make note of it in this bug report.
See https://fedoraproject.org/wiki/QA:Updates_Testing for
instructions on how to install test updates.
You can provide feedback for this update here: https://bodhi.fedoraproject.org/updates/FEDORA-2018-bac27a9034

Comment 6 Fedora Update System 2018-04-18 02:58:32 UTC
python-gunicorn-19.7.1-4.fc27 has been pushed to the Fedora 27 testing repository. If problems still persist, please make note of it in this bug report.
See https://fedoraproject.org/wiki/QA:Updates_Testing for
instructions on how to install test updates.
You can provide feedback for this update here: https://bodhi.fedoraproject.org/updates/FEDORA-2018-ec7cb4d5eb

Comment 7 Fedora Update System 2018-04-27 01:17:34 UTC
python-gunicorn-19.7.1-4.fc27 has been pushed to the Fedora 27 stable repository. If problems still persist, please make note of it in this bug report.

Comment 8 Fedora Update System 2018-05-11 01:23:16 UTC
python-gunicorn-19.7.1-4.fc28 has been pushed to the Fedora 28 stable repository. If problems still persist, please make note of it in this bug report.


Note You need to log in before you can comment on or make changes to this bug.